
/** TP 5ETI - CPE Lyon - 2012/2013 */


#ifndef SCENE_HPP
#define SCENE_HPP

#include <matrix3.hpp>
#include <v3.hpp>
#include <mesh.hpp>

#include <vector>

class glwidget;

namespace cpe
{
class debug_mesh;
}

class scene
{


public:

    scene();



    /** \brief Method called only once at the beginning (load off files ...) */
    void load_model();
    /** \brief Method called at every frame */
    void draw_scene();







    //set glwidget pointer
    void set_glwidget(glwidget *p_widget);

    //set debug_mesh pointer
    void set_debug_mesh(cpe::debug_mesh *p_debug_mesh);

private:


    cpe::mesh mesh_0;
    unsigned int texture_id_0;






    glwidget *p_widget;
    cpe::debug_mesh *p_debug_mesh;

};

#endif
